PHP Classes
elePHPant
Icontem

File: composer.json

Recommend this page to a friend!
  Classes of Cyril Ogana  >  PHP User Credentials  >  composer.json  >  Download  
File: composer.json
Role: Configuration script
Content type: text/plain
Description: Composer bootstrap file
Class: PHP User Credentials
Implement password authentication policies
Author: By
Last change: - Minimum PHP supported is 7.1
- Upgrade from PHPUnit 6 to PHPUnit 7
- Upgrade from Multiotp 5.1 to Multiotp 5.4
- Fix bug in TOTP validation caused by overwriting MultiOTP constructor in MultiotpWrapper.php
- Fixed LDAP authentication unit tests
Date: 1 month ago
Size: 1,288 bytes
 

Contents

Class file image Download
{
    "keywords": [
        "User Authentication"
    ],
    "autoload" : {
        "files" : [
            "src/config/NamedConstant.php",
            "lib/Multiotp/multiotp.class.php"
        ],
        "psr-4" : {
            "cymapgt\\Exception\\" : "src/Exception",
            "cymapgt\\core\\application\\authentication\\UserCredential\\" : "src"
        }
    },
    "autoload-dev" : {
        "psr-4" : {
            "cymapgt\\core\\application\\authentication\\UserCredential\\tests\\" : "tests"
        }
    },
    "name" : "cymapgt/usercredential",
    "type" : "library",
    "description" : "Package for Password authentication policy management",
    "license" : "BSD-3-clause",
    "require" : {
        "php" : ">=7.1.0",
        "cymapgt/phpass" : "^6.0.0",
        "freedsx/ldap" : "*"
    },
    "require-dev" : {
        "phpunit/phpunit" : "7.*",
        "geerlingguy/ping" : "*"
    },
    "support" : {
        "email" : "cogana@gmail.com",
        "source" : "https://github.com/cymapgt/UserCredential"
    },
    "authors" : [{
        "name" : "Cyril Ogana",
        "email" : "cogana@gmail.com",
        "homepage" : "http://www.cymapk.com",
        "role" : "Maintainer"
    }],
    "homepage" : "https://github.com/cymapgt/UserCredential"
}